classification
Title: Cleanup old stuff from pythread.h
Type: Stage:
Components: Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: amaury.forgeotdarc Nosy List: akuchling, amaury.forgeotdarc, pitrou
Priority: normal Keywords: needs review, patch

Created on 2009-01-05 23:28 by amaury.forgeotdarc, last changed 2010-02-24 00:11 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
thread_cleanup.patch amaury.forgeotdarc, 2009-01-05 23:28
Messages (5)
msg79212 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-01-05 23:28
This patch removes four functions from pythread.h, which have been 
unusable for ages:
- PyThread_exit_prog is excluded by a #ifndef, and the NO_EXIT_PROG 
symbol is defined in the same file.
- PyThread__PyThread_exit_thread appears in the .h but is not defined 
anywhere. OTOH the different thread implementations define 
PyThread__exit_thread but it is not exposed anywhere (since r12178...)

Better remove unused code...
msg99750 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2010-02-22 15:40
The patch seems obviously correct to me; there's no way a user of pythread.h can make NO_EXIT_PROG be undefined.  The patch no long applies cleanly to thread_nt.h -- one hunk is rejected -- but it looks like the change in that hunk has already been applied (though I can't try compiling on Windows to verify that everything still works).  I did try applying the patch and re-compiling on Linux.

I think you can just apply it; if you're cautious, you could ask someone to try it on Windows first.
msg99755 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-02-22 15:51
Fortunately, I happen to work on Windows :-)
msg99779 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-02-22 16:39
Good idea indeed !
msg99979 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-02-24 00:11
Applied with r78393 (trunk) and r78397 (py3k)
History
Date User Action Args
2010-02-24 00:11:10amaury.forgeotdarcsetstatus: open -> closed
keywords: patch, patch, needs review
messages: + msg99979
2010-02-22 16:39:37pitrousetkeywords: patch, patch, needs review
nosy: + pitrou
messages: + msg99779

2010-02-22 15:51:20amaury.forgeotdarcsetkeywords: patch, patch, needs review
assignee: amaury.forgeotdarc
resolution: accepted
messages: + msg99755
2010-02-22 15:40:50akuchlingsetkeywords: patch, patch, needs review
nosy: + akuchling
messages: + msg99750

2009-01-05 23:28:50amaury.forgeotdarccreate